pub use {
    super::B64Alphabet,
    std::{
        io::{self, Read, Write, ErrorKind},
    },
};

#[derive(Debug)]
pub enum Error {
    Io(io::Error),
    IllegalChar(char),
}

impl From<io::Error> for Error {
    fn from(value: io::Error) -> Self {
        Self::Io(value)
    }
}

impl From<char> for Error {
    fn from(value: char) -> Self {
        Self::IllegalChar(value)
    }
}

pub struct Decoder<R: Read, W: Write> {
    reader: R,
    writer: W,
    alphabet: B64Alphabet,
}

#[cfg(test)]
mod tests {
    use super::*;
}

